# optimal_noise_smoothing

Copyright 2015 Roger R Labbe Jr.

FilterPy library. http://github.com/rlabbe/filterpy

Documentation at: https://filterpy.readthedocs.org

Supporting book at: https://github.com/rlabbe/Kalman-and-Bayesian-Filters-in-Python

This is licensed under an MIT license. See the readme.MD file for more information.

filterpy.gh.optimal_noise_smoothing(g)

  provides g,h,k parameters for optimal smoothing of noise for a given value of g. This is due to Polge and Bhagavan[1].

  Parameters:
    g float

      value for g for which we will optimize for

  Returns:
    (g,h,k)(float, float, float)

      values for g,h,k that provide optimal smoothing of noise

  References

  [1] Polge and Bhagavan. “A Study of the g-h-k Tracking Filter”. Report No. RE-CR-76-1. University of Alabama in Huntsville. July, 1975

  Examples

      from filterpy.gh import GHKFilter, optimal_noise_smoothing

      g,h,k = optimal_noise_smoothing(g)
      f = GHKFilter(0,0,0,1,g,h,k)
      f.update(1.)